> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List node device IDs

> Public endpoint. Returns device_id list from nodes table (excluding deleted).



## OpenAPI

````yaml /openapi.json get /api/v1/attestations/device_ids
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/attestations/device_ids:
    get:
      tags:
        - Attestations
      summary: List node device IDs
      description: >-
        Public endpoint. Returns device_id list from nodes table (excluding
        deleted).
      operationId: handle_list_device_ids_api_v1_attestations_device_ids_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````